Komponente Entfernen

From FreeCAD Documentation
Revision as of 20:45, 20 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語

Arch Remove.svg Komponente Entfernen

Menüeintrag
Architektur → Komponente entfernen
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Teil Hinzufügen


Beschreibung

Das Entfernen-Werkzeug erlaubt zwei Arten von Operationen:

  • Entfernen einer Subkomponente von einem Architekturobjekt, z.B. das Entfernen des Quaders,welcher im Teil Hinzufügen-Beispiel einer Wand hinzugefügt wurde;
  • Subtrahieren eines Primitiven-basierten Objektes von einer Architekturkomponente wie z.B. einer Wand oder einem Bauelement.

Das Gegenstück zu diesem Werkzeug ist das Hinzufügen-Werkzeug.

Arch Remove example.jpg

Ein Quader wird von einer Wand subtrahiert und hinterlässt eine Aussparung.


Anwendung

  1. Wählen Sie eine Subkomponente in einem Architekturobjekt
  2. Drücken Sie die Schaltfläche Arch Remove.svg Entfernen

Oder

  1. Wähle zu subtrahierende Objekte, das letzte Objekt muss das Arch-Objekt sein, von dem die anderen Objekte substrahiert werden sollen.
  2. Drücke die Schaltfläche Arch Remove.svg Komponenten entfernen.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Entfernen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

removeComponents(objectsList, host=None)
  • Entfernt die in objectsList angegebenen Objekte von den Elternobjekten.
  1. Ist ein Host-Objekt angegeben, wird stattdessen versucht, die in objectsList angegebenen Objekte als Aussparungen zum host hinzuzufügen.

Beispiel:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()